Opened 4 years ago

Closed 4 years ago

#52729 closed enhancement (fixed)

gtkglarea: mark outdated gtk1 implementation obsolete, replaced by gtkglarea2

Reported by: dbevans (David B. Evans) Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: removal Cc:
Port: gtkglarea

Description (last modified by dbevans (David B. Evans))

gtkglarea is an old gtk1 implementation that has been superceded by the gtk2 port gtkglarea2 and the GtkGLArea widget in gtk3. With gtk4 beta now scheduled for March 2017 it just doesn't make any sense to keep old gnome1/gtk1 ports around.

This port has one outstanding dependent, fsv, and should be marked obsolete, replaced by gtkglarea2 as soon as fsv has been removed (#52728).

Change History (2)

comment:1 Changed 4 years ago by dbevans (David B. Evans)

Description: modified (diff)

comment:2 Changed 4 years ago by dbevans (David B. Evans)

Resolution: fixed
Status: newclosed
Summary: gtkglarea: remove outdated gtk1 implementation replaced by gtkglarea2gtkglarea: mark outdated gtk1 implementation obsolete, replaced by gtkglarea2

Fix committed in r154363.

Note: See TracTickets for help on using tickets.